# Overhaul Maps:

A set of unique maps that tend to have fun gimmicks and dynamic elements that encourage map-centric play.

# It is recommended that you reduce the screen shake settings by going to Mods -> Performance Improvements -> Miscellaneous and reducing the screen shake strength value from 100 to ~10. The overhead light shake and chromatic aberrations can also be disabled if desired.

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045768042254172220/Performance_-1.gif" alt="How to GIF" width="500"/>

# You can also simply just turn on the settings of the ToggleEffects mod.

# Current Maps:
#### Adds 30 maps

(Note: liquids, black boxes, some ropes, and other things do not appear properly on the map images)

### Orbitals

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114356240311656570/MapsExtended_c848950d-6e69-4b51-a6e0-ce6152afd8ea.png" alt="Orbitals Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045782476485828678/Orbitals.gif" alt="Orbitals Map GIF" width="500"/>

A low gravity map with a rotating hazard in the center.

### Serpentine

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114357313537573024/MapsExtended_320ad21e-6fa1-4b2c-be11-cf96e277b4bb.png" alt="Serpentine Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045782478813675530/Serpentine.gif" alt="Serpentine Map GIF" width="500"/>

A snaked-shaped map that periodically moves. Stay on safe ground or jump up to avoid damage when the snake recoils.

### Cyclic

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114357312044400700/MapsExtended_3fe3f6af-40cd-46e7-82fc-67e0f6ae5a38.png" alt="Cyclic Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045772426409164921/Cyclic.gif" alt="Cyclic Map GIF" width="500"/>

A map with a large saw running through the center at set intervals. Get to safety when it arrives.

### Oscillating

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114357312572903445/MapsExtended_7e62b08b-c185-49c3-960c-fda47f4672b7.png" alt="Oscillating Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045772425624825956/Oscillating.gif" alt="Oscillating Map GIF" width="500"/>

A map with spinning ground and a moving platform at the bottom. The platform can assist you or hurt you if you're not careful. Shoot or shove it to move the platform.

### Balance

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114356241918074900/MapsExtended_f086cf7c-f1bb-4fcb-b74a-52a2c4187664.png" alt="Balance Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045782478381654076/Balance.gif" alt="Balance Map GIF" width="500"/>

A map consisting of two scales that sway back and forth. Use your bullets on the platforms to affect their balance.

### Lurch

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114357311788568596/MapsExtended_2b85b8c2-fdd6-4b98-ae88-8a6cde358eba.png" alt="Lurch Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045782477991587840/Lurch.gif" alt="Lurch Map GIF" width="500"/>

A map consisting of a box occasionally rushing across the map back and forth. Stay out of its way.

### Overhaul

<img src="https://media.discordapp.net/attachments/1042927724265754724/1108915650933575720/MapsExtended_08a04ba6-631e-438c-b185-09e1f4a268d9.png" alt="Overhaul Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045782477081423944/Overhaul.gif" alt="Overhaul Map GIF" width="500"/>

A small map similar to the mod's logo.

### Broadside

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114356240055795732/MapsExtended_c9704ad5-eb78-4f1f-a663-633002e69c0e.png" alt="Broadside Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045782477479878796/Broadside.gif" alt="Broadside Map GIF" width="500"/>

A water map consisting of small boats, cannons, and sea mines. Shoot the cannons and sea mines to wreak havok, or shoot your boat to move it away.

### Probability

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114357313319489578/MapsExtended_65e090e4-d534-467a-b674-9701ef1a69e2.png" alt="Probability Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045782479354732615/Probability.gif" alt="Probability Map GIF" width="500"/>

A map built like a plinko board. Saws will fall down the map and reappear at the top again.

### Magmatic

<img src="https://media.discordapp.net/attachments/1042927724265754724/1108832558134857769/MapsExtended_12807534-8cea-4671-b577-ac9c9a8ab0ec.png" alt="Magmatic Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045772426845356062/Magmatic.gif" alt="Magmatic Map GIF" width="500"/>

A map with a central volcano that constantly spews molten rock. Getting hit will set you on fire.

### Nostalgia 

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114356241104379974/MapsExtended_da606d18-fc98-4f6e-b114-976d0cb12b11.png" alt="Nostalgia Map Image" width="500"/>

A retro style map that takes place in some sort of construction site with blazing rolling barrels constantly falling and parts of the map on fire. OSHA will not be happy.

### Elementary

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1108832593291517952/MapsExtended_aa150961-89ff-4492-a776-e0c8bad5943d.png" alt="Elementary Map Image" width="500"/>

A relatively simple map with 4 themed sections that each utilize the distinct elements of water, lava, acid, and space.

### Sinkhole

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114357313797623868/MapsExtended_903d7e79-326d-4fa5-955d-0931bdf49a80.png" alt="Sinkhole Map Image" width="500"/>

A (new and improved) map that is slowly sinking into the map boundary. Win the round before there's no where left to stand.

### Flip Flop

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114357382445793380/MapsExtended_b8d94fc3-6227-4e17-ab5c-308ea10f168f.png" alt="Flip Flop Map Image" width="500"/>

A simple map with spinning platforms.

### Wipeout

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114357312287674408/MapsExtended_4ec0d674-ffd0-4634-92ea-2a8fb0668f92.png" alt="Wipeout Map Image" width="500"/>

A simple map with shrinking spinning blocks. 

### Galleons

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1108832558495576196/MapsExtended_a36c5d87-2eed-4082-8cbf-12062db8341c.png" alt="Galleons Map Image" width="500"/>

A water map with two barely-held-together ships.

### Trenches

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114356239799959672/MapsExtended_c8ab0404-aa61-4d43-bb3a-454fb3dbcedc.png" alt="Trenches Map Image" width="500"/>

A map in which you must break the terrain to make a path to your opponents.

### Hyper Tubes

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1108832595464163368/MapsExtended_e17cd0bf-bed6-4dfd-839f-b2e4e2e74424.png" alt="Hyper Tubes Map Image" width="500"/>

A segmented map connected with hyper tubes that quickly transport you.

### Pinball Machine

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114357312790986802/MapsExtended_54bfb2ed-e535-43b5-9892-7a56ff41fd3e.png" alt="Pinball Machine Map Image" width="500"/>

A map based around a malfuctioning pinball machine that launches balls around the map.

### Recursion

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1108832557249867847/MapsExtended_5304d74f-bc37-4528-9340-4090678c86e5.png" alt="Recursion Map Image" width="500"/>

A map with repeating elements. A map with repeating elements. A map with repeating elements.

### Revolution

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114357381485297745/MapsExtended_4729ed9e-c9f2-490b-b750-791641a786d3.png" alt="Revolution Map Image" width="500"/>

A map with two ferris-wheel-esque contraptions to play around.

### Enginery

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114361501944393849/MapsExtended_33cae59c-db2f-4721-979e-4c905040952e.png" alt="Enginery Map Image" width="500"/>

A complex map with moving saws and a platform that can be dropped onto moving blocks in order to cause chaos.

### Coalesce

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114357313059426375/MapsExtended_55eb0c46-9835-441f-bc1d-936bc74887d4.png" alt="Coalesce Map Image" width="500"/>

A map with moving platforms and saws that separate and then come together again.

### Weave

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1108915651608846407/MapsExtended_ff17e533-ab76-4963-9fdf-9bcbfef09fbd.png" alt="Weave Map Image" width="500"/>

A map with fast saws that swing by from off screen at regular intervals. Harmless green background blocks alternate between saw cycles.

### Division

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114357311545282741/MapsExtended_0bb96f36-6851-46f7-b490-eb5a25499f4a.png" alt="Division Map Image" width="500"/>

A map with moving blocks ready to crush you if you make the wrong move.

### As Above

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114356240550740079/MapsExtended_caa859fc-a56d-4781-9102-40d348bdfc79.png" alt="As Above Map Image" width="500"/>

A bridge themed map where the platforms you stand on can be destroyed, causing people to fall to their death.

### So Below

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114357381929910272/MapsExtended_5590febd-07a3-4b37-8eea-3503d2e07399.png" alt="So Below Map Image" width="500"/>

A bridge themed map where the platforms you stand on can be dropped onto shallow water. Slipping off the fallen platforms could be deadly.

### Miniature

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114356239569264670/MapsExtended_b070a471-0998-4e4e-b760-bc131ab39856.png" alt="Miniature Map Image" width="500"/>

A mini golf themed map with flying golf balls, a miniature windmill hazard, a golf cart, and a golf club.

### Flipside

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114356241385406594/MapsExtended_f3adcbb6-7015-45cf-8cd6-4b07161ec816.png" alt="Flipside Map Image" width="500"/>

A map with two sides: blocks will blink in and out of existence every 3 seconds to match the current side.

### Falling Down

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114357382185767002/MapsExtended_88191ab9-70eb-465c-b3e5-7df8713bb86c.png" alt="Falling Down Map Image" width="500"/>

A map consisting of several vertical platforms slowly falling down and reappearing at the top. You must constantly climb upwards as you fight.

---
## Bug Reports and Suggestions:
If you have found any issues or have any suggestions, please report them in the [ROUNDS Overhaul Discord](https://discord.com/channels/1038199747472797756/1042822464457154613).

I can also be reached at the [ROUNDS Modding Discord](https://discord.gg/rounds-modding). 